For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
      • GETReturns the users' workloads per day.
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceWorkload

Returns the users' workloads per day.

GET
https://api.awork.com/api/v1/users/workload
GET
/api/v1/users/workload
$curl -G https://api.awork.com/api/v1/users/workload \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> --data-urlencode "userIds=a12f3e45-b67c-89d0-e123-456789abcdef, b23d4f56-c78d-90e1-f234-56789abcdef0" \
> --data-urlencode intervalStart=2024-01-15T00:00:00Z \
> --data-urlencode intervalEnd=2024-01-15T23:59:59Z \
> -d roughPlanningFrom=7 \
> -d fetchDetails=true \
> -d ignoreCalendarEvents=false
1[
2 {
3 "userId": "a12f3e45-b67c-89d0-e123-456789abcdef",
4 "workloads": [
5 {
6 "date": "2024-01-15T00:00:00Z",
7 "duration": 28800,
8 "userCapacity": 28800,
9 "remainingUserCapacity": 7200,
10 "projects": [
11 {
12 "id": "b23d4f56-c78d-90e1-f234-56789abcdef0",
13 "name": "Website Redesign Project",
14 "company": {
15 "id": "c34e5f67-d89e-01f2-3456-789abcdef012",
16 "name": "Acme Corporation",
17 "hasImage": true
18 },
19 "tasks": [
20 {
21 "id": "d45f6g78-e90f-12g3-4567-89abcdef1234",
22 "name": "Design Homepage Layout",
23 "duration": 14400,
24 "taskStatus": {
25 "id": "e56g7h89-f01g-23h4-5678-9abcdef23456",
26 "name": "In Progress",
27 "type": "Active"
28 },
29 "taskSchedules": [
30 {
31 "duration": 14400,
32 "from": "2024-01-15T09:00:00Z",
33 "to": "2024-01-15T13:00:00Z"
34 }
35 ],
36 "isAnonymized": false,
37 "isRecurring": false
38 }
39 ],
40 "timeBookings": [
41 {
42 "id": "f67h8i90-g12h-34i5-6789-abcdef345678",
43 "description": "Initial design meeting",
44 "duration": 3600,
45 "isAnonymized": false
46 }
47 ],
48 "isAnonymized": false,
49 "hasImage": true
50 }
51 ],
52 "tasks": [
53 {
54 "id": "d45f6g78-e90f-12g3-4567-89abcdef1234",
55 "name": "Design Homepage Layout",
56 "duration": 14400,
57 "taskStatus": {
58 "id": "e56g7h89-f01g-23h4-5678-9abcdef23456",
59 "name": "In Progress",
60 "type": "Active"
61 },
62 "taskSchedules": [
63 {
64 "duration": 14400,
65 "from": "2024-01-15T09:00:00Z",
66 "to": "2024-01-15T13:00:00Z"
67 }
68 ],
69 "isAnonymized": false,
70 "isRecurring": false
71 }
72 ],
73 "appointments": [
74 {
75 "providerName": "Google Calendar",
76 "calendarName": "Work Meetings",
77 "duration": 3600
78 }
79 ],
80 "calendarAbsences": [
81 {
82 "providerName": "Outlook",
83 "calendarName": "Vacation",
84 "duration": 0
85 }
86 ]
87 }
88 ]
89 }
90]
Returns the users' workloads per day for projects, tasks, task schedules and calendar events that have an overlap with the interval specified by intervalStart and intervalEnd. Takes into consideration weekly availability, absences, user capacity, planned efforts, as well as project budget. <Check title="Required Permissions" icon="key">The user must be an admin or have `user-planning-data:read` permissions.</Check>
Was this page helpful?
Previous

Project Templates

Next
Built with

Returns the users’ workloads per day for projects, tasks, task schedules and calendar events that have an overlap with the interval specified by intervalStart and intervalEnd. Takes into consideration weekly availability, absences, user capacity, planned efforts, as well as project budget.

Required Permissions
The user must be an admin or have user-planning-data:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

userIdsstringRequired

The ids of the users to get the workload for, as a comma-separated list of Guids.

intervalStartstringRequiredformat: "date-time"
The start of the interval to filter by.
intervalEndstringRequiredformat: "date-time"
The end of the interval to filter by.
roughPlanningFromintegerRequired
The number of days from today when the rough planning should start.
fetchDetailsbooleanOptionalDefaults to false

(Optional - default: false) If set to true, the result will contain the hierarchy of elements that are contributing to the workload (projects, tasks, appointments). Otherwise it will return only the workload value. Works only for single day queries.

ignoreCalendarEventsbooleanOptionalDefaults to false
Whether to ignore calendar events. Can significantly improve performance.

Response

OK
userIdstringformat: "uuid"
workloadslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error